Bug 35656 - Drop Xen support with UCS 4.0
Drop Xen support with UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - Xen
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Erik Damrose
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-20 09:41 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-08-20 09:41:23 CEST
Currently, we support Xen and KVM with UVMM. We should drop the support for one hypervisor.
Comment 1 Stefan Gohmann univentionstaff 2014-08-25 07:28:54 CEST
The supported hypervisor app should be copied to the app center once the decision has been made.
Comment 2 Stefan Gohmann univentionstaff 2014-09-09 14:10:26 CEST
We decided to drop the Xen support with UCS 4.0.

In this bug, we should 

- block the update to UCS 4.0 if Xen is installed on the host (preup.sh)

- create a migration tutorial from Xen to KVM

- the UVMM package + App center description should be adjusted

(In reply to Stefan Gohmann from comment #1)
> The supported hypervisor app should be copied to the app center once the
> decision has been made.

Done.
Comment 3 Philipp Hahn univentionstaff 2014-10-07 15:53:22 CEST
r54232 | Bug #35656 UVMM: Drop Xen support
r54231 | Bug #35656 UVMM: Drop Xen support
Comment 4 Philipp Hahn univentionstaff 2014-10-07 20:26:32 CEST
r54233 | Bug #35656 UVMM: Drop Xen support
Comment 5 Philipp Hahn univentionstaff 2014-10-14 16:11:07 CEST
(In reply to Stefan Gohmann from comment #2)
> We decided to drop the Xen support with UCS 4.0.
> - block the update to UCS 4.0 if Xen is installed on the host (preup.sh)

r54408 | Bug #35656 Update: Block update with xen-4.1 still installed
Comment 6 Philipp Hahn univentionstaff 2014-10-15 10:50:29 CEST
r54442 | Bug #35656 Update: Block update with xen-4.1 still installed
 Add UCRV update40/ignore_xen

Package: univention-updater
Version: 10.0.9-1.1282.201410151025
Branch: ucs_4.0-0
Comment 7 Philipp Hahn univentionstaff 2014-10-17 15:48:59 CEST
(In reply to Stefan Gohmann from comment #2)
> - create a migration tutorial from Xen to KVM
r54603 | Bug #35656 xen: Document Xen deprecation
  <http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/Handbook%20Extended/1/artifact/webroot/uvmm-4.0.html#uvmmext:xen>

>- the UVMM package + App center description should be adjusted
Bug #36137 handles the App center description specific aspects of this bug.

r54604 | Bug #35656 VirtIO: Drop reference to Xen
r54605 | Bug #35656 Xen: Document Xen deprecation
 Support for <application>Xen</application> was removed from &ucsUVMM; (<ulink url="&ucsbug;35656">Bug 35656</ulink>).
 <http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/Release%20Notes/ws/webroot/release-notes-4.0-0-en.html#changelog:virt:uvmm>
Comment 8 Philipp Hahn univentionstaff 2014-10-17 16:39:57 CEST
r54608 | Bug #35656 xen: Document Xen deprecation
  Some more changes and a XSLT file to do the transformation
Comment 9 Philipp Hahn univentionstaff 2014-10-17 17:31:25 CEST
r54613 | Bug #35656 preup: Block update with xen-4.1 still installed
 Check for UCS hosts having "XEN Host" registered as their service
Comment 10 Florian Best univentionstaff 2014-11-03 18:42:58 CET
SVN r55312 fixes the list of drivers, it was always empty.
Comment 11 Florian Best univentionstaff 2014-11-03 20:02:20 CET
umc/js/setup.js:                                xen: uvmmWarning,
umc/js/setup/ApplianceWizard.js:                                if (packages['univention-virtual-machine-manager-node-kvm'] && packages['univention-virtual-machine-manager-node-xen']) {
umc/python/setup/__init__.py:           if 'univention-virtual-machine-manager-node-kvm' in packages and 'univention-virtual-machine-manager-node-xen' in packages:
Comment 12 Philipp Hahn univentionstaff 2014-11-05 13:08:57 CET
r55388 | Bug #35656 UVMM: Change QEMU to KVM as default domain type
 switch to <domain type='kvm'>
Comment 13 Erik Damrose univentionstaff 2014-11-06 15:48:49 CET
OK: UVMM package + App center description should be adjusted
Reopen: The preup currently gives only very technical hints on how to resolve the blocked update - remove the xen-4.1 package from the XEN Hosts.
=> Please improve the user experience by
- Giving advice to remove the XEN App on the affected hosts
- Give a link to the documentation, to help the user migrate existing VMs
Comment 14 Philipp Hahn univentionstaff 2014-11-07 13:36:28 CET
(In reply to Erik Damrose from comment #13)
> OK: UVMM package + App center description should be adjusted
> Reopen: The preup currently gives only very technical hints on how to
> resolve the blocked update - remove the xen-4.1 package from the XEN Hosts.
> => Please improve the user experience by
> - Giving advice to remove the XEN App on the affected hosts
> - Give a link to the documentation, to help the user migrate existing VMs

r55501 | Bug #35656 Updater: Block update for xen-4.1
r55499 | Bug #35656 UVMM: No longer create old profiles
Comment 15 Philipp Hahn univentionstaff 2014-11-07 13:51:36 CET
Package: univention-updater
Version: 10.0.37-1.1314.201411071338
Branch: ucs_4.0-0

Package: univention-virtual-machine-manager-daemon
Version: 4.0.19-1.560.201411071340
Branch: ucs_4.0-0

Also updates the documentation: <http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/Handbook%20Extended/lastSuccessfulBuild/artifact/webroot/uvmm-4.0.html#uvmmext:xen>
Comment 16 Erik Damrose univentionstaff 2014-11-11 11:08:28 CET
r55588 Fixed typos

OK: Updater warning
OK: Do not create old profiles
All code changes are hereby verified, only the documentation remains at this bug.

OK: Migrating XEN instances (UCS & Win7 with gplpv drivers) according to the migration documentation

Reopen: We should improve the migration documentation:
- The introduction should make clear that managing virtual machines with UVMM is not possible when switching to the unmaintained XEN in UCS4. Thus, that section should be moved to the end of the migration chapter.

- We should make clear that Univention recommends switching to QEMU/KVM, as that is the supported scenario

- The migration itself should be more structured, which should result in a step-by-step guide the customer can follow:

- Define and outline the general approach to the migration (it is currently undefined, when KVM should be installed).
  Suggestion: 1. Prepare instances for migration (currently the first part of section 2.2); 2. Uninstall the Xen App on all affected hosts AND run unjoin scripts; 3. + 4. (order tdb:) Upgrade to UCS-4 + install KVM App; 5. Redefine the virtual machines

 - Make clear in which cases the user should update the domain XML files manually, instead of just redefining the VMs.

Suggestions for the different steps:
- Prepare VMs:
 - I think we should expand the part about preparing Windows VMs. If i simply uninstall the gplpv drivers, windows will bluescreen on reboot. I had to remove them completely before the vm-shutdown with the uninstall script from [1] 
 - UCS VMs: It should be mentioned that CDRom drive devices are /dev/sr0 KVM by default

- New Optional Step: Convert images to qcow2. We could explain the advantage of converting the .raw image files to qcow2 (snapshots!) and show how it can be done

- Post-Upgrade: RFC: There should be a section explaining how to correct uvmm profiles in ldap. UCS3 created the profiles with eth0 as network interface, the update to UCS4 creates new profiles with br0, without updating the old ones. The manual has a section about this: [2]


[1] http://wiki.univention.de/index.php?title=Installing-signed-GPLPV-drivers
[2] http://docs.univention.de/handbuch-3.2.html#uvmm::profile::network
Comment 17 Philipp Hahn univentionstaff 2014-11-19 13:43:14 CET
r55978 | Bug #35656 Updater: Rework xen-4.1 drop
Comment 18 Philipp Hahn univentionstaff 2014-11-19 16:25:17 CET
r55984 | Bug #35656 Updater: Rework xen-4.1 drop
Comment 19 Philipp Hahn univentionstaff 2014-11-19 16:32:32 CET
r55985 | Bug #35656 UVMM: Update documentation [WIP]

Preliminary version was published with the release of UCS-4.0.
Please build and publish any further changes.
Comment 20 Erik Damrose univentionstaff 2014-11-21 10:49:29 CET
I fixed and published one typo: r56032 r56035

Great work, i like the changes. -> Verified
Comment 21 Stefan Gohmann univentionstaff 2014-11-26 06:55:21 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".